QT       += core gui
#QT       += serialport
QT       += network
QTPLUGIN     += qjpeg \
                qgif \
                qkrcodecs
QTPLUGIN.platforms = -
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

#CONFIG += console
CONFIG += c++11
CONFIG += force_debug_info
CONFIG += separate_debug_info
#CONFIG += no_keywords
#RC_ICONS = :/Resources/signset.ico
RC_FILE += SignsetClient.rc

SOURCES += \
    aboutsetting.cpp \
    check.cpp \
    checkdefault.cpp \
    feedbacksetting.cpp \
    keymanage.cpp \
    main.cpp \
    mainwindow.cpp \
    mainworker.cpp \
    setting.cpp \
    signset.cpp \
    singleapplication.cpp \
    updatesetting.cpp \
    utils.cpp \
    verifysetting.cpp

HEADERS += \
    SKFAPI.h \
    SKF_Define.h \
    aboutsetting.h \
    check.h \
    checkdefault.h \
    feedbacksetting.h \
    keymanage.h \
    mainwindow.h \
    mainworker.h \
    setting.h \
    signset.h \
    singleapplication.h \
    updatesetting.h \
    utils.h \
    verifysetting.h\
    openssl/__DECC_INCLUDE_EPILOGUE.H \
    openssl/__DECC_INCLUDE_PROLOGUE.H \
    openssl/aes.h \
    openssl/asn1.h \
    openssl/asn1_mac.h \
    openssl/asn1err.h \
    openssl/asn1t.h \
    openssl/async.h \
    openssl/asyncerr.h \
    openssl/bio.h \
    openssl/bioerr.h \
    openssl/blowfish.h \
    openssl/bn.h \
    openssl/bnerr.h \
    openssl/buffer.h \
    openssl/buffererr.h \
    openssl/camellia.h \
    openssl/cast.h \
    openssl/cmac.h \
    openssl/cmp.h \
    openssl/cmp_util.h \
    openssl/cmperr.h \
    openssl/cms.h \
    openssl/cmserr.h \
    openssl/comp.h \
    openssl/comperr.h \
    openssl/conf.h \
    openssl/conf_api.h \
    openssl/conferr.h \
    openssl/configuration.h \
    openssl/core.h \
    openssl/core_dispatch.h \
    openssl/core_names.h \
    openssl/core_object.h \
    openssl/crmf.h \
    openssl/crmferr.h \
    openssl/crypto.h \
    openssl/cryptoerr.h \
    openssl/ct.h \
    openssl/cterr.h \
    openssl/decoder.h \
    openssl/decodererr.h \
    openssl/des.h \
    openssl/des_old.h \
    openssl/dh.h \
    openssl/dherr.h \
    openssl/dsa.h \
    openssl/dsaerr.h \
    openssl/dso.h \
    openssl/dtls1.h \
    openssl/e_os2.h \
    openssl/ebcdic.h \
    openssl/ec.h \
    openssl/ecdh.h \
    openssl/ecdsa.h \
    openssl/ecerr.h \
    openssl/encoder.h \
    openssl/encodererr.h \
    openssl/engine.h \
    openssl/engineerr.h \
    openssl/err.h \
    openssl/ess.h \
    openssl/esserr.h \
    openssl/evp.h \
    openssl/evperr.h \
    openssl/fips_names.h \
    openssl/fipskey.h \
    openssl/hmac.h \
    openssl/http.h \
    openssl/httperr.h \
    openssl/idea.h \
    openssl/kdf.h \
    openssl/kdferr.h \
    openssl/kssl.h \
    openssl/lhash.h \
    openssl/macros.h \
    openssl/md2.h \
    openssl/md4.h \
    openssl/md5.h \
    openssl/mdc2.h \
    openssl/modes.h \
    openssl/obj_mac.h \
    openssl/objects.h \
    openssl/objectserr.h \
    openssl/ocsp.h \
    openssl/ocsperr.h \
    openssl/opensslconf.h \
    openssl/opensslv.h \
    openssl/ossl_typ.h \
    openssl/param_build.h \
    openssl/params.h \
    openssl/pem.h \
    openssl/pem2.h \
    openssl/pemerr.h \
    openssl/pkcs12.h \
    openssl/pkcs12err.h \
    openssl/pkcs7.h \
    openssl/pkcs7err.h \
    openssl/pqueue.h \
    openssl/provider.h \
    openssl/rand.h \
    openssl/randerr.h \
    openssl/rc2.h \
    openssl/rc4.h \
    openssl/rc5.h \
    openssl/ripemd.h \
    openssl/rsa.h \
    openssl/rsaerr.h \
    openssl/safestack.h \
    openssl/seed.h \
    openssl/self_test.h \
    openssl/sha.h \
    openssl/sm2.h \
    openssl/sm3.h \
    openssl/sm4.h \
    openssl/srp.h \
    openssl/srtp.h \
    openssl/ssl.h \
    openssl/ssl2.h \
    openssl/ssl23.h \
    openssl/ssl3.h \
    openssl/sslerr.h \
    openssl/stack.h \
    openssl/store.h \
    openssl/storeerr.h \
    openssl/symhacks.h \
    openssl/tls1.h \
    openssl/trace.h \
    openssl/ts.h \
    openssl/tserr.h \
    openssl/txt_db.h \
    openssl/types.h \
    openssl/ui.h \
    openssl/ui_compat.h \
    openssl/uierr.h \
    openssl/whrlpool.h \
    openssl/x509.h \
    openssl/x509_vfy.h \
    openssl/x509err.h \
    openssl/x509v3.h \
    openssl/x509v3err.h

FORMS += \
    aboutsetting.ui \
    check.ui \
    checkdefault.ui \
    feedbacksetting.ui \
    keymanage.ui \
    mainwindow.ui \
    setting.ui \
    signset.ui \
    updatesetting.ui \
    verifysetting.ui

TRANSLATIONS += \
    SignsetClient_zh_CN.ts

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    SignsetClient.qrc

DISTFILES += \
    Resources/test.cer \
    SignsetClient.rc


target.path = $$[QT_INSTALL_EXAMPLES]/widgets/desktop/systray
INSTALLS += target



unix:!macx: LIBS += -L$$PWD/lib/ -lcrypto -ldl

INCLUDEPATH += $$PWD/.
DEPENDPATH += $$PWD/.


unix:!macx: LIBS += -L$$PWD/lib/ -lssl -ldl

INCLUDEPATH += $$PWD/.
DEPENDPATH += $$PWD/.




#运行时加载库配置的路径
QMAKE_LFLAGS += -Wl,--rpath=/usr/lib
QMAKE_LFLAGS += -Wl,--rpath=/usr/lib64
QMAKE_LFLAGS += -Wl,--rpath=../$PWD/lib
QMAKE_LFLAGS += -Wl,--rpath=../$PWD/plugins/platforms

unix:!macx: LIBS += -L$$PWD/lib/ -lSKFAPI-arm64

INCLUDEPATH += $$PWD/.
DEPENDPATH += $$PWD/.

unix:!macx: LIBS += -L$$PWD/lib/ -loes

INCLUDEPATH += $$PWD/.
DEPENDPATH += $$PWD/.
